Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884221 - IO becomes unhealthy due to a file change
Summary: IO becomes unhealthy due to a file change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Lüders
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-01 11:48 UTC by Ricardo Lüders
Modified: 2021-02-24 15:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When changing any file that the IO observes, it ended up ending its process in an unclear way. Consequence: Undesired ending process signal. Fix: Change the error handling for this specific case. Result: The IO now doesn't send the ending process signal and keep running.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:22:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 198 0 None closed Bug 1884221: IO becomes unhealthy due to a file change 2021-01-08 08:12:40 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:22:54 UTC

Description Ricardo Lüders 2020-10-01 11:48:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add a localfile to the observedFiles at pkg/cmd/start.go#L61
2. Execute the IO
3. Change the local file content

Actual results:

IO ends with an error

Expected results:

It should end gracefully

Additional info:

Comment 4 Dmitry Misharov 2020-10-27 12:34:46 UTC
Tested and verified in 4.7.0-0.ci-2020-10-27-064429

Steps to verify:
1. `oc project openshift-insights`
2. Change the content tls.key or tls.crt in openshift-insights-serving-cert secret:
   `oc edit secret openshift-insights-serving-cert`
3. Wait until insights-operator restarts.
4. `oc describe pod -l app=insights-operator`
5. Containers->insights-operator->Last State->Exit Code is 0

Comment 7 errata-xmlrpc 2021-02-24 15:22:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.